%define	prefix	/usr/X11R6
%define _prefix /usr/X11R6
%define _lesstifdir %prefix/LessTif 
%define _iconsdir /usr/share/icons

Summary:		A free Motif clone
Name:			lesstif
Version:		0.93.0
Release:		3mdk
License:		LGPL
URL:			http://www.lesstif.org/
Group:			System/Libraries
Source:			ftp://ftp.hungry.com/pub/hungry/lesstif/srcdist/%name-%version.tar.bz2
Source1:		mwm-menumethod
Source2:		mwm.xpm.bz2
Source3:		mwm32.xpm.bz2
Patch0:			lesstif-mdk-menu.patch.bz2

BuildRoot:		%{_tmppath}/%name-%version-root
BuildRequires:	flex, XFree86-devel, bison, xpm-devel

%description
Lesstif is an API compatible clone of the Motif toolkit.

Most of the Motif 1.2 API is in place.
Motif 2.1 functionality is being improved.

Many Motif applications compile and run out-of-the-box with LessTif,
and we want to hear about those that don't.


%package mwm
Summary:	Lesstif Motif window manager clone based on fvwm
Group:		Graphical desktop/Other
Requires:	menu

%description mwm
MWM is a window manager that adheres largely
to the Motif mwm specification.


%package clients
Summary:	Lesstif clients
Group:		Graphical desktop/Other
Requires:	lesstif = %version

%description clients
Uil and xmbind.


%package devel
Group:		Development/C
Summary:	Static library and header files for Lesstif/Motif development
Requires:	lesstif = %version

%description devel
This package contains the lesstif static library and header files
required to develop motif-based applications.

This package also contains development documentation in html (Lessdox),
and mxmkmf for Lesstif.

%prep

%setup -n lesstif-%{version}
%patch0 -p0 -b .mdk
LESSTIFTOP=$PWD

%build
CFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=%prefix \
				--enable-shared \
				--enable-static \
				--enable-build-12 \
				--enable-build-20 \
				--enable-build-21 \
				--disable-maintainer-mode \
				--enable-default-21 \
				--disable-debug


%make

%install
make install prefix=$RPM_BUILD_ROOT%prefix

install -d $RPM_BUILD_ROOT/etc/X11
ln -sf ../..%_libdir/X11/mwm $RPM_BUILD_ROOT/etc/X11/mwm

install -d $RPM_BUILD_ROOT%_mandir
install -d $RPM_BUILD_ROOT%_mandir/man1
install -d $RPM_BUILD_ROOT%_mandir/man5
install -d $RPM_BUILD_ROOT%_lesstifdir/doc/Lessdox
install -c -m 644 doc/lessdox/clients/mwmrc.5   $RPM_BUILD_ROOT%_mandir/man5
install -c -m 644 doc/lessdox/clients/mwm.1     $RPM_BUILD_ROOT%_mandir/man1
install -c -m 644 doc/lessdox/clients/lesstif.1 $RPM_BUILD_ROOT%_mandir/man1
install -c -m 644 doc/lessdox/clients/xmbind.1  $RPM_BUILD_ROOT%_mandir/man1
install -c -m 644 doc/lessdox/*/*.html			$RPM_BUILD_ROOT%_lesstifdir/doc/Lessdox || :

# generate config files 
cd $RPM_BUILD_ROOT%_libdir/X11/config
#mv Imake.tmpl Imake-lesstif.tmpl.orig


perl -ne ' 
    if( /#include <Imake.rules>/ ){              
        print $_;
        print "#include <Motif-lesstif.tmpl>\n";
        print "#include <Motif-lesstif.rules>\n";
    }
    elsif ( /IMAKE_CMD = \$\(IMAKE\)/ ){
        print STDERR "found\n";
        s|\$\(IMAKE\)|\$(IMAKE) -T Imake-lesstif.tmpl|;
        print $_;
    }
    else {
        print $_;
    }
' < %_libdir/X11/config/Imake.tmpl > Imake-lesstif.tmpl



cd $RPM_BUILD_ROOT%_bindir
sed -e 's/imake $args/imake -T Imake-lesstif.tmpl $args/' < `which xmkmf` > mxmkmf

# cleanup in a preparation for an installation - unify layout
#mkdir -p $RPM_BUILD_ROOT/%_prefix/man{1,5}
#pushd $RPM_BUILD_ROOT%_lesstifdir
#	mkdir ../man/man{1,5}
#	mv doc/man/man1/* ../man/man1/
#	mv doc/man/man3/* ../man/man3/
#	mv doc/man/man5/* ../man/man5/
#	rmdir doc/man{/*,}
#popd

# menu support
mv $RPM_BUILD_ROOT%_libdir/X11/mwm/system.mwmrc $RPM_BUILD_ROOT%_libdir/X11/mwm/system.mwmrc-menu
mkdir -p $RPM_BUILD_ROOT/etc/menu-methods $RPM_BUILD_ROOT/usr/lib/menu
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/menu-methods/%{name}-mwm
cat > $RPM_BUILD_ROOT/usr/lib/menu/%{name}-mwm << EOF
?package(%{name}-mwm): needs=wm icon=mwm.xpm section=Session/Windowmanagers title=Mwm command=mwm \
longtitle="A free Motif clone"
EOF

#mdk icons
install -d $RPM_BUILD_ROOT%{_iconsdir}/mini
bzcat %{SOURCE2} >$RPM_BUILD_ROOT%{_iconsdir}/mini/mwm.xpm
bzcat %{SOURCE3} >$RPM_BUILD_ROOT%{_iconsdir}/mwm.xpm
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/config/host.def


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post mwm
%update_menus

%postun mwm
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
#%doc etc/{example.motifbind,motifbind.sun+linux}
%doc AUTHORS BUG-REPORTING COPYING COPYING.LIB CREDITS
%doc ChangeLog KNOWN_BUGS NEWS NOTES
%doc README RELEASE-POLICY release-notes.txt
%doc doc/www.lesstif.org/FAQ.html
%dir %_lesstifdir/Motif1.2
%dir %_lesstifdir/Motif2.0
%dir %_lesstifdir/Motif2.1
%dir %_lesstifdir/Motif1.2/bin/
%dir %_lesstifdir/Motif2.0/bin/
%dir %_lesstifdir/Motif2.1/bin/
%dir %_lesstifdir/Motif1.2/lib/
%dir %_lesstifdir/Motif2.0/lib/
%dir %_lesstifdir/Motif2.1/lib/
%_lesstifdir/Motif1.2/lib/*.so.*
%_lesstifdir/Motif2.0/lib/*.so.*
%_lesstifdir/Motif2.1/lib/*.so.*
%_libdir/*.so.*
%_mandir/man1/lesstif.1*

%files mwm
%defattr(-,root,root,-)
%doc clients/Motif-1.2/mwm/{COPYING,README}
%config(noreplace) /etc/menu-methods/%{name}-mwm
%config(noreplace) /etc/X11/mwm
%_bindir/mwm
%_libdir/X11/mwm
%_libdir/X11/app-defaults/Mwm
%_mandir/man1/mwm.1*
%_mandir/man5/mwmrc.5*
/usr/lib/menu/%{name}-mwm
%_lesstifdir/Motif2.1/bin/mwm
%_iconsdir/mwm.xpm
%_iconsdir/mini/mwm.xpm

%files clients
%defattr(-,root,root,-)
%doc doc/UIL.txt
%_lesstifdir/Motif2.1/bin/uil
%_lesstifdir/Motif2.1/bin/xmbind
%_bindir/uil
%_bindir/xmbind
%_mandir/man1/xmbind.1*

%files devel
%defattr(-,root,root,755)
#%doc doc/{*.html,*.txt,lessdox/*/*.html,www.lesstif.org}
%doc %_lesstifdir/doc
%_includedir/*
%dir %_lesstifdir/Motif1.2/include
%_lesstifdir/Motif1.2/include/*
%_lesstifdir/Motif1.2/lib/*.so
%_lesstifdir/Motif1.2/lib/*.a
%_lesstifdir/Motif1.2/lib/*.la
%dir %_lesstifdir/Motif2.0/include
%_lesstifdir/Motif2.0/include/*
%_lesstifdir/Motif2.0/lib/*.so
%_lesstifdir/Motif2.0/lib/*.a
%_lesstifdir/Motif2.0/lib/*.la
%dir %_lesstifdir/Motif2.1/include
%_lesstifdir/Motif2.1/include/*
%_lesstifdir/Motif2.1/lib/*.so
%_lesstifdir/Motif2.1/lib/*.a
%_lesstifdir/Motif2.1/lib/*.la
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_bindir/mxmkmf
%_libdir/X11/config/*
%_prefix/man/man3/*
%_prefix/man/man5/*
%_prefix/man/man1/*


%changelog
* Thu Sep 06 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.93.0-3mdk
- from Thomas Leclerc :
  - minimize doc redundancy
  - uil and xmbind in clients
  - no more binaries redundancy
  - minor spec changes from official package (update descriptions)
  - remove obsolete enable-build-Xbae & Xlt

* Wed Aug 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.93.0-2mdk
- add missing directories in list file to prevent "creating directory"
  messages from rpm

* Wed Aug 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.93.0-1mdk
- new release
- add support for 2.1 API
- make 2.1 API default

* Mon Jul 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92.98-1mdk
- new release

* Thu Jul 19 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92.95-1mdk
- new release

* Wed Jul 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92.32-2mdk
- build release

* Tue Jun 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92.32-1mdk
- new release

* Wed May 16 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92.26-3mdk
- fix broken link

* Thu May 03 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92.26-2mdk
- s!Copyright!License
- add a few missing dir (only ownership, their content were there)

* Thu Apr 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92.26-1mdk
- new version
- s!Requires: lesstif!Requires: lesstif = %%version
- better use of macros
- remove ownerships of %%_iconsdir and other system wide directories
- more man pages

* Thu Apr 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92.21-2mdk
- resync with frozen (fix menu, remove TODO from doc)

* Thu Apr 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92.21-1mdk
- new version

* Mon Jan 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92.17-1mdk
-  new version

* Wed Dec 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.92.5-1mdk
- fix url
- new release

* Wed Dec 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.91.8-2mdk
- remove dummy file which conflicted with XFree86

* Tue Nov 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.91.8-1mdk
- new release
- more macros

* Fri Sep 29 2000 Daouda Lo <daouda@mandrakesoft.com> 0.91.4-5mdk
- add icons to Mwm menuentry

* Thu Sep 26 2000 David BAUDENS <baudens@mandakesoft.com> 0.91.4-4mdk
- Add missing files and clean up %%files section

* Sun Sep 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.91.4-3mdk
- Allow to build
- Use optimizations
- Fix Summary and Description

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.91.4-2mdk
- fix postinstall script

* Tue Jul 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.91.4-1mdk
- new release
- add a summary
- use some macros

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.91.3-1mdk
- add url
- new release

* Tue May  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.89.9-3mdk
- fixed menu method.

* Wed Apr  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.89.9-2mdk
- menu support.
- group fix.

* Sat Feb 12 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.89.9-1mdk
- 0.89.9.
- put *.so in devel package.
- added man pages from section 3 to the devel package.
- bzipped man pages.
- merged spec file from the tar ball.

* Tue Nov 16 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.89.4
- use the specfile from www.lesstif.org to fix conflicts problems

* Tue Oct 23 1999 Danny Backx <danny@hungry.com>
- try to integrate Michal's stuff in lesstif.spec.in
- don't treat Xbae, Xlt separately
- compile for 2.0 as well as for 1.2
- compile Xbae, Xlt by default

* Tue Oct 19 1999 Michal Jaegermann <michal@harddata.com> 0.89
- Updated to version 0.89
- Reorganized spec file to follow closer its own descriptions
- Xlt does not require special make anymore.

* Thu Apr 30 1998 C. Scott Ananian <cananian@alumni.princeton.edu> 0.83+
- Updated to lessdoc-current.
- Removes Lessdox package (integrated into lesstif)

* Tue Mar 31 1998 C. Scott Ananian <cananian@alumni.princeton.edu> 0.83+
- Removed pedantic.patch
- Removed lesstif-M12 (Motif 1.2 wrapper)
- Reviewed installation and fixed %files sections.
- Added patch to fix a bug which causes mozilla to crash.
- Added patch to fix the include prefix on install.

* Sun Jul 20 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl> 0.80-2
- added to all %doc %attr macros (this allow build package from normal user
  account),
- some simplification in %files (%doc).

* Wed Jul 9 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- added using %%{PACKAGE_VERSION} macro in "Source:" and %files,
- added additional parameter "--enable-build-12" to runing configure,
- added %posun and %clear,
- in %post and %postun ldconfig is called as parameter with "-p"
  (this feature is avalable in rpm >= 2.4.3 and you must have this
  version and if you want recompile package from src.rpm you must have new
  version rpm),
- added package lesstif-M12 simpe Motif 1.2 wrapper,
- simplified %install section,
- added %attr macros in %files sections,
- added striping shared libraries,
- added URL field,
- added Lessdox - a html development documentation to lesstif-devel,
- added lesstif-0.80public-nopedantic.patch, this allow compile lesstif on
  sparc by removing "-pedantic" from CFLAGS.
